Bug 828694 - [abrt] java-1.7.0-openjdk-1.7.0.3-2.1.fc17.6: Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
[abrt] java-1.7.0-openjdk-1.7.0.3-2.1.fc17.6: Process /usr/lib/jvm/java-1.7.0...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
abrt_hash:c77f1729cdc5e0b89cd93fac6b5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 04:17 EDT by Emiel Kollof
Modified: 2013-05-08 14:02 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-08 14:02:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.27 KB, text/plain)
2012-06-05 04:17 EDT, Emiel Kollof
no flags Details
File: maps (49.80 KB, text/plain)
2012-06-05 04:17 EDT, Emiel Kollof
no flags Details
File: dso_list (14.57 KB, text/plain)
2012-06-05 04:17 EDT, Emiel Kollof
no flags Details
File: open_fds (5.91 KB, text/plain)
2012-06-05 04:17 EDT, Emiel Kollof
no flags Details

  None (edit)
Description Emiel Kollof 2012-06-05 04:17:12 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 3
cmdline:        /usr/bin/java -Xms128m -Xmx512m -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dorg.eclipse.swt.browser.UseWebKitGTK=true -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20120308-1358.jar -os linux -ws gtk -arch x86_64 -showsplash /usr/lib64/eclipse//plugins/org.eclipse.platform_4.2.0.v20120424-1332/splash.bmp -launcher /usr/lib64/eclipse/eclipse -name Eclipse --launcher.library /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20120426-1529/eclipse_1503.so -startup /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20120308-1358.jar --launcher.overrideVmargs -exitdata 19c006d -preventMasterEclipseLaunch -vm /usr/bin/java -vmargs -Xms128m -Xmx512m -Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins -Dorg.eclipse.swt.browser.UseWebKitGTK=true -XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith -XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init> -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate -XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding -XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile -XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles -XX:MaxPermSize=256m -jar /usr/lib64/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20120308-1358.jar
comment:        Tried to open Minecraft Coder Pack workspace with Eclipse shipped by Fedora
executable:     /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/bin/java
kernel:         3.3.7-1.fc17.x86_64
pid:            14090
pwd:            /home/ekollof/Documents
time:           Tue 05 Jun 2012 10:06:40 AM CEST
uid:            1000
username:       ekollof
xsession_errors: Jun 05, 2012 9:57:55 AM java.util.prefs.FileSystemPreferences$1 run

backtrace:      Text file, 52500 bytes
dso_list:       Text file, 14918 bytes
maps:           Text file, 50995 bytes
open_fds:       Text file, 6049 bytes

build_ids:
:4555444390434459edd5379df593b6d7382f86be
:129b2932b49a30fb41ae47a1d0fdadcfdab9ac90
:96e355bc4fbe0a9e65b4b0d9001dc03d6549e293
:faca16f15d87b83d2947a386e319b02f724dcbb5
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:f6d72221cbd08cb36bb88823d33deb2024f2bee3
:127f8958b602715234a02b88adb08afd9e34c203
:b6d75088f555d197be1476cb1c580640826ae029
:d20a75c31e7cf5d0f84ed5eae88d9ea4250c9229
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:b277af36744327e3d58eae76bcdaadcca71a28c6
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:c18afebba7e57fefad9d7e99e8fe5566f54664e0
:259054d7cd2fac1e85dc8a6d1e878f81e3323b56
:75fb2a202a4ee987f9d1e1cd7f8a605b442a91cf
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:2c9b58c35ff18212c9d2fdb22c344b91b788ba73
:508cf66f72e70054a41215f80ed2385c6bb80030
:ec87953f655fbcbcbe71b591db5451e56739576e
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:31243d0d107bba586a96433c76c87a26db1e826c
:6947e315f0765bf884ecc222d91945a1e2ed8767
:2be9035d84fcf32318c7fef8be0375e4107a3393
:253afe744466fe7580bbb6040de6183dba9e2b02
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:c028bd4d4e5f5ae122f2300193d9a08f103da6f7
:31315eb0543745bf9bccaa7cf6baefd008d8fa99
:f64b7319b84d426ed547084bdb2577f4f596c18f
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd
:99c23b21038c62b0628b93610fb54c5900c40ffd
:67792c148d2b8f13f6732c9367e926c26d7376c5
:516204cfc31148538d56b21e2f1b945ed50127d4
:63651cdc0224824a9c9324c77c3b5887378e871d
:841ff7bbe6849fc0d7de266673c87747ac96a430
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:ec2fecf0b18dafe4c52a9f09736119843ed4ec1d
:822e9b3523e8312240f41a25722d539bc77ed436
:e8e93d70ad2441386ccfc57442b79cae0f27ac24
:73777e822e00ca152ffca281ab0ace0cb498ec48
:404cbecd24d186758ed474b345313da28b2990fa
:c6697ad88241a5d6c7d4d97588c5944438131a43
:051c1990222c1579f885e9b96e3911613dedb51a
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d804f8ee47797da9213a92f00cd095ecada8d79f
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:7666bb53f0c73addf8b6d166394f5323871ebf6a
:4c9c864a7c7b7ed702088955821d58137803462d
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:4b044fe80e4c1b69986abc4b160c303048005d4e
:1df2138063f8eee89db95b8adf7749f09022d865
:54a5cc118d928470da13565de8592b664a9868e0
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:8f7c190397d7c1f617e66f18f759714662b60367
:1a0c09f270adf8398df4362ce0acfafc1f970982
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:247132297f287226a24c12e683292f5c94013066
:cd78e2295ac5f856c2727dd99f28f02526e6a2b5
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ekollof/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:cd78e2295ac5f856c2727dd99f28f02526e6a2b5 0x6ce779 - libjvm.so -
:cd78e2295ac5f856c2727dd99f28f02526e6a2b5 0x82556f - libjvm.so -
:cd78e2295ac5f856c2727dd99f28f02526e6a2b5 0x6d5b5f JVM_handle_linux_signal libjvm.so -

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1642
:XDG_SESSION_ID=2
:HOSTNAME=fenris
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/ekollof/.gtkrc-2.0:/home/ekollof/.gtkrc-2.0-kde4:/home/ekollof/.kde/share/config/gtkrc-2.0
:GS_LIB=
:GNOME_KEYRING_CONTROL=/run/user/ekollof/keyring-sSxDEe
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=ekollof
:SSH_AUTH_SOCK=/tmp/ssh-ZyQIKVLL1513/agent.1513
:USERNAME=XXXXXXX
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/ekollof/.local/bin:/home/ekollof/bin
:DESKTOP_SESSION=kde-plasma
:MAIL=/var/spool/mail/ekollof
:QT_IM_MODULE=xim
:PWD=/home/ekollof
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:GNOME_KEYRING_PID=1508
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:GDMSESSION=kde-plasma
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/ekollof
:SHLVL=2
:KDE_SESSION_VERSION=4
:LOGNAME=ekollof
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-uvIKxo2S4D,guid=97c215d0acbb0a3a0da213bf0000003f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ekollof
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/ekollof/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-ekollof/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1723,unix/unix:/tmp/.ICE-unix/1723
:XCURSOR_THEME=default
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/ekollof/.gtkrc:/home/ekollof/.kde/share/config/gtkrc
:DESKTOP_STARTUP_ID=fenris;1338883586;541467;1736_TIME4269117

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62785                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62785                62785                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

var_log_messages:
:Jun  4 13:06:03 fenris yum[24093]: Installed: javamail-1.4.3-9.fc17.noarch
:Jun  4 13:06:31 fenris yum[24093]: Installed: 1:java-1.7.0-openjdk-javadoc-1.7.0.3-2.1.fc17.6.noarch
:Jun  4 13:06:33 fenris yum[24093]: Installed: 1:java_cup-0.11a-7.fc17.noarch
:Jun  4 13:06:43 fenris yum[24093]: Installed: tzdata-java-2012c-1.fc17.noarch
:Jun  4 13:09:21 fenris yum[24093]: Installed: 1:java-1.7.0-openjdk-1.7.0.3-2.1.fc17.6.x86_64
:Jun  4 13:09:51 fenris yum[24093]: Installed: 1:java-1.7.0-openjdk-devel-1.7.0.3-2.1.fc17.6.x86_64
:Jun  4 13:10:22 fenris yum[24093]: Installed: ant-javamail-1.8.3-1.fc17.noarch
:Jun  4 13:10:46 fenris yum[24093]: Installed: 1:mysql-connector-java-5.1.17-5.fc17.noarch
:Jun  4 13:11:00 fenris yum[24093]: Installed: xz-java-1.0-2.fc17.noarch
:Jun  4 13:11:02 fenris yum[24093]: Installed: lpg-java-compat-1.1.0-7.fc17.1.noarch
:Jun  4 13:11:02 fenris yum[24093]: Installed: libmatthew-java-0.8-3.fc17.x86_64
:Jun  4 13:11:03 fenris yum[24093]: Installed: dbus-java-2.7-8.fc17.noarch
:Jun  4 13:11:11 fenris yum[24093]: Installed: protobuf-java-2.4.1-6.fc17.x86_64
:Jun  4 13:11:13 fenris yum[24093]: Installed: antlr3-java-3.4-5.fc17.noarch
:Jun  4 13:11:21 fenris yum[24093]: Installed: plexus-containers-component-javadoc-1.5.5-5.fc17.noarch
:Jun  4 13:11:27 fenris yum[24093]: Installed: libreadline-java-0.8.0-29.fc17.x86_64
:Jun  4 13:11:41 fenris yum[24093]: Installed: maven-plugin-tools-java-2.7-4.fc17.noarch
:Jun  4 13:11:54 fenris yum[24093]: Installed: maven-javadoc-plugin-2.8.1-1.fc17.noarch
:Jun  4 13:12:26 fenris yum[24093]: Installed: subversion-javahl-1.7.4-6.fc17.x86_64
:Jun  4 13:21:27 fenris yum[24093]: Installed: eclipse-mylyn-context-java-3.7.0-1.fc17.noarch
:Jun  4 13:21:56 fenris yum[24093]: Installed: 1:java-1.7.0-openjdk-demo-1.7.0.3-2.1.fc17.6.x86_64
:Jun  4 13:22:01 fenris yum[24093]: Installed: 1:java-1.7.0-openjdk-src-1.7.0.3-2.1.fc17.6.x86_64
:Jun  5 10:06:07 fenris abrt[14026]: Saved core dump of pid 13986 (/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/bin/java) to /var/spool/abrt/ccpp-2012-06-05-10:06:04-13986 (315207680 bytes)
:Jun  5 10:06:43 fenris abrt[14124]: Saved core dump of pid 14090 (/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/bin/java) to /var/spool/abrt/ccpp-2012-06-05-10:06:40-14090 (305971200 bytes)
Comment 1 Emiel Kollof 2012-06-05 04:17:34 EDT
Created attachment 589426 [details]
File: backtrace
Comment 2 Emiel Kollof 2012-06-05 04:17:38 EDT
Created attachment 589427 [details]
File: maps
Comment 3 Emiel Kollof 2012-06-05 04:17:42 EDT
Created attachment 589428 [details]
File: dso_list
Comment 4 Emiel Kollof 2012-06-05 04:17:45 EDT
Created attachment 589429 [details]
File: open_fds
Comment 5 Deepak Bhole 2012-06-06 14:06:35 EDT
Re-assigning to Eclipse based on:

#7  0x00007f8eb2def63b in Java_org_eclipse_swt_internal_gtk_OS__1g_1object_1get_1qdata () from /home/ekollof/.eclipse/org.eclipse.platform_4.2.0_793567567/configuration/org.eclipse.osgi/bundles/157/2/.cp/libswt-pi-gtk-4229.so
Comment 6 Andrew Overholt 2012-06-06 15:20:54 EDT
Why is the SWT .so in ~/.eclipse ?  Are we not extracting them anymore?
Comment 7 Krzysztof Daniel 2012-06-14 08:30:44 EDT
Andrew: your question has been moved to the bug 832035.

Emiel: 
do you remember what you were doing when the crash happened?
what widget style are you using?


Some investigation details:

The crash happened in Java_org_eclipse_swt_internal_gtk_OS__1g_1object_1get_1qdata, which is equivalent of SWT code org.eclipse.swt.internal.gtk.OS.g_object_get_qdata(int, int), which in turn is an equivalent of http://developer.gnome.org/gobject/stable/gobject-The-Base-Object-Type.html#g-object-get-qdata.

The gnome function does not specify any exceptions. And therefore the crash should not happen there.

Alex, can we get Gnome/KDE guys at least looking into this?
Comment 8 Alexander Kurtakov 2012-06-14 08:46:16 EDT
I really doubt desktop guys will look into it. It's a bug in SWT calling the function with wrong paramenters. If someone can come with a reproducer I would fix the problem myself. This very same bug has appeared a number of times but I never managed to find a reproducer. So what we need is a reproducer and fixing it after that would be smaller problem.
Comment 9 Alexander Kurtakov 2012-06-14 08:54:28 EDT
To add some details. The function in question is called in 3 different swt components - Display, Tree and Table. The usage in Display seems pretty simple so I don't think the problem happens there. This leaves us with Tree and Table - both have very similar codebase so the problem should be reproducible with both, though I didn't manage to write a reproducer when I tried it a year ago.
Comment 10 Krzysztof Daniel 2012-06-14 09:24:01 EDT
I'm not sure about the wrong parameters that SWT passes. 

The function itself takes two parameters - handle and quark, and quark is irrelevant, as it is only a key, and if it was not set, the function should return null. So if it is SWT fault, SWT passed non-existing (nearly impossible) or disposed widget handle (which is not that impossible). If we only were able to look at the java stack trace, we would immediately know what was the parent widget and where to look for problems or patterns.

The function is used in a number of places, but in all places the usage is similar. This report is about opening a workspace, so it may be related to  eclipse bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=317763 that indicates that it is not SWT fault, as SWT does not care about widget styling.

Yet another possibility is that SWT disposes a widget asynchrously or gtk creates a widget with some delay (is that even possible?).

The function is sync protected in the SWT code, so it should not be a concurency issue, and since we do not see this problem all the time. 

Some explanation from the KDE guys about the nature of the issue would be really welcome - what exactly could cause that error? How the function behaves if the handle is invalid?
Comment 11 Yupeng Chang 2012-07-24 05:16:57 EDT
I still have this bug.
I'm running x86_64 fedora 17 with KDE as my working environment, and set GTK theme to oxygen-gtk.

Eclipse Juno crashes frequently. If I change GTK theme to different one other than oxygen-gtk, then eclipse can work well.

It seems that this crash is related to GTK or oxygen-gtk ?
Comment 12 Yupeng Chang 2012-08-02 14:57:53 EDT
It seems that this bug is related to SWT.
Someone may have found the cause at the end of last year, but it's not fixed.
Please see this bug in eclipse website
https://bugs.eclipse.org/bugs/show_bug.cgi?id=358240
Comment 13 Krzysztof Daniel 2012-08-20 04:15:43 EDT
Looks related. Alex, will you find time for this?
Comment 14 Alexander Kurtakov 2013-02-28 08:04:10 EST
Sorry, I missed that one. Is it reproducible on fedora 18?
Comment 15 Alexander Kurtakov 2013-05-08 14:02:53 EDT
Closing the bug as our manpower doesn't allow working on theming issue as there is easy workaround to not use oxygen-gtk. We have pushed many changes to SWT upstream in later releases so please reopen either if you plan working on the Fedora 17 issue itself or the problem is reproducible in Fedora 18.

Note You need to log in before you can comment on or make changes to this bug.